:root {
    --yellow: #fec92e;
    --gray-300: #555;
}

/* --breakpoint-xs: 0;
--breakpoint-sm: 576px;
--breakpoint-md: 768px;
--breakpoint-lg: 992px;
--breakpoint-xl: 1200px; */

html {
    scroll-behavior: smooth;
}

body {
    display: flex;
    flex-direction: column;
    align-items: center;
}

a {
    text-decoration: none;
    color: black;
    transition: 0.2s;
}

a:active {
    text-decoration: none;
    color: black;
}

a:hover {
    text-decoration: none;
    color: black;
}

h1 {
    font-size: 2.4rem;
}

img {
    pointer-events: none;
}

.wrapper {
    position: relative;
    display: flex;
    justify-content: center;
    width: 100%;
    padding: 0 28px;

    @media (min-width: 768px) {
        padding: 0 48px;
    }

    @media (min-width: 1200px) {
        padding: 0 64px;
    }
}

.content {
    width: 100%;
    max-width: 1400px;
    min-width: 320px;
}

.nav-background {
    height: 120px;
    padding: 60px 0 0 0;
    position: sticky;
    top: -60px;
    z-index: 1;
}

nav {
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

nav a {
    padding: 17px 12px;
    font-size: 18px;
    font-weight: 600;
    color: var(--gray-300);
}

nav a:hover {
    color: white;
}

nav .links {
    height: 60px;
    align-items: center;
    display: none;

    @media (min-width: 768px) {
        display: flex;
    }
}

nav .phone {
    font-size: 20px;
    display: flex;
    align-items: center;
    gap: 4px;
    color: var(--gray-300);
}

/* nav .phone svg {
    width: 24px;
    height: 24px;
    fill: var(--gray-300);
}

nav .phone svg {
    transition: 0.2s;
}

nav .phone:hover svg {
    fill: white;
} */

footer {
    min-height: 220px;
    color: var(--gray-300);
}

footer p {
    margin-bottom: 0;
}

footer a {
    padding: 17px 12px;
    font-size: 18px;
    font-weight: 600;
    color: var(--gray-300);
}

footer a:hover {
    color: white;
}

.diagonal {
    top: 48px;
    position: absolute;
    height: 40px;
    width: 42px;
    transform: rotate(45deg) skew(45deg);
    left: -12px;

    @media (min-width: 768px) {
        width: 64px;
    }


    @media (min-width: 1200px) {
        width: 72px;
    }
}

.diagonal:nth-child(2) {
    top: 132px;
}

.diagonal:nth-child(3) {
    top: 216px;
}

.diagonal:nth-child(4) {
    top: 300px;
}

.diagonal:nth-child(5) {
    top: 384px;
}

.background-yellow {
    background-color: var(--yellow);
}

.background-gray-300 {
    background-color: var(--gray-300);
}

.anti-rust {
    height: 472px;
    padding: 24px 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    color: var(--yellow);
}

.anti-rust>h1 {
    position: relative;
    height: 56px;
    margin-bottom: 12px;
}

.anti-rust>h1>span {
    font-size: 16px;
    line-height: 16px;
    position: absolute;
    text-align: right;
    right: 0;
}

.anti-rust>a {
    font-size: 24px;
    font-weight: bold;
    color: white;
}

.anti-rust>a:hover {
    color: var(--yellow)
}

.anti-rust>.subtitle {
    font-size: 18px;
    margin-bottom: 0;
}

.anti-rust>img {
    max-width: 640px;
    width: 72%;
    margin: 12px 0 4px;
}

.parallax-container {
    /*  здесь происходит магия: */
    background-image: url("../assets/images/service.jpg");
    background-attachment: fixed;
    background-position: center;
    background-size: cover;
    -webkit-filter: grayscale(80%);
    -moz-filter: grayscale(80%);
    -o-filter: grayscale(80%);
    -ms-filter: grayscale(80%);
    filter: grayscale(80%);

    /* размеры важны, убедитесь, что он достаточно высок для прокрутки */
    /* min-height: 100vh; */

    /* Свободно размещайте элементы контейнера с помощью flexbox или любыми другими средствами. */
    /* display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center; */
}

.services-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    color: var(--gray-300);
    text-align: center;
}

.services-wrapper img {
    width: 128px;
}

.advantages-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    color: white;
    text-align: center;
    background-color: rgba(55, 55, 55, 0.8);
    border-radius: 4px;
}

.advantages-wrapper img {
    width: 128px;
}

.price-list-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    color: var(--gray-300);
    text-align: center;
}

.price-list-wrapper .price-list {
    display: flex;
    flex-direction: column;
    gap: 8px;
    width: 100%;
}

.price-list-wrapper .price-list .service {
    display: flex;
    justify-content: space-between;
}

.price-list-wrapper .price-list .service p {
    display: inline;
    margin-bottom: 0;
    font-size: 20px;
    line-height: 24px;

    @media (min-width: 576px) {
        font-size: 24px;
        line-height: 32px;
    }
}

.price-list-wrapper .price-list .service p:first-child {
    text-align: left;
}

.price-list-wrapper .price-list .service p:last-child {
    text-align: right;
}

.price-list-wrapper .price-list .separator {
    flex: 1;
    border-bottom: dotted 2px var(--gray-300);
    margin: 0 4px;
}

.price-list-wrapper h4 {
    margin-bottom: 0;
}

.contacts {
    color: white;
}

.contacts>* {
    display: flex;
    flex-direction: column;
    align-items: start;
    padding-left: 0;
    padding-right: 0;
}

.contacts h4 {
    color: var(--yellow);
}

.contacts .phone {
    font-size: 20px;
    display: flex;
    align-items: center;
    gap: 4px;
    color: white;
    font-weight: 500;
}

.contacts a:hover {
    color: var(--yellow);
}

.contacts .callback input[type="submit"] {
    font-size: 18px;
    background-color: var(--yellow);
    color: var(--gray-300);
    border-radius: 12px;
    transition: 0.2s;
}

.contacts .callback input[type="submit"]:hover {
    background-color: white;
    border-radius: 12px;
}

.map {
    width: 100%;
    height: 400px;
}


/* BURGER-MENU */

#burger-menu {
    color: var(--gray-300);
    cursor: pointer;
    height: 27px;
    width: 27px;
    /* margin: 50px; */
    overflow: visible;
    position: relative;
    z-index: 2;

    @media (min-width: 768px) {
        display: none;
    }
}


#burger-menu span,
#burger-menu span:before,
#burger-menu span:after {
    background: var(--gray-300);
    display: block;
    height: 2px;
    opacity: 1;
    position: absolute;
    transition: 0.3s ease-in-out;
}

#burger-menu span:before,
#burger-menu span:after {
    content: '';
}

/* TOP */
#burger-menu span:before {
    left: 0px;
    top: -10px;
    width: 27px;
}

/* MIDDLE */
#burger-menu span {
    right: 0px;
    top: 13px;
    width: 27px;
}

/* BOTTOM */
#burger-menu span:after {
    left: 0px;
    top: 10px;
    width: 27px;
}


/* TOP */
#burger-menu.close span:before {
    top: 0px;
    transform: rotate(90deg);
    width: 27px;
    background-color: white;
}

/* MIDDLE */
#burger-menu.close span {
    transform: rotate(-45deg);
    top: 13px;
    width: 27px;
    background-color: white;
}

/* BOTTOM */
#burger-menu.close span:after {
    top: 0px;
    left: 0;
    transform: rotate(90deg);
    opacity: 0;
    width: 0;
    background-color: white;
}

/* MENU */

#menu {
    z-index: 1;
    min-width: 100%;
    min-height: 100%;
    position: fixed;
    top: 0;
    height: 0;
    visibility: hidden;
    opacity: 0;
    text-align: center;
    padding-top: 20px;
    transition: all 0.3s ease-in-out;
}

#menu.overlay {
    visibility: visible;
    opacity: 1;
    padding-top: calc(50vh - 72px);
    background: rgba(33, 33, 33, 0.95);
}

#menu ul {
    padding: 0;
}

#menu li {
    list-style: none;
}

#menu a {
    color: #fff;
    display: block;
    font-size: 32px;
    text-decoration: none;
}